Bug 199040 - Add mapped superclass wizards
Add mapped superclass wizards
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
7.0
All Other
: P4 (vote)
: 8.0
Assigned To: Sergey Petrov
issues@javaee
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 13:48 UTC by Sergey Petrov
Modified: 2013-11-17 02:12 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Petrov 2011-05-31 13:48:33 UTC
Include new|mapped superclass and option to generate mappedsuperclass instead of entities from db(or separate wizard)
Comment 1 Sergey Petrov 2013-11-15 10:12:03 UTC
there is a place for old cmp re;ated checkbox, now it's replaced with "generate mappedsupeclass instead of entities checbox)
Comment 2 Quality Engineering 2013-11-17 02:12:45 UTC
Integrated into 'main-silver', will be available in build *201311170002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/be06675df75d
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #199040   almost done, but need to verify how jpql named qeury should work in this case (checkbox isn't visible yet)
include cleaup of before jpa related  code


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo